2026-07-15 20:33:13 UTC
127 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:c7288023ded975bbfebf94654b2abd0529e40b52fa589ee42fa73afc0e6c0670 - 26.31% (33.3 MB)
[#001] sha256:9bb453dea7f9cab16b24c9d85dc6537ceabb13de92e8e313e689a9def0a2396a - 2.97% (3.76 MB)
[#002] sha256:18d31a87b07ae4d0dcf35451349ba1afc690cc3e9d68c364938e58f4c09dee03 - 0.01% (9.5 KB)
[#003] sha256:5702cc4b50338b9928d66f771853780dd9296ee58249d9257361d5fa92df25fe - 0.0% (606 Bytes)
[#004] sha256:57176234a4697028a11bccf895f0b16cbf4fcf7e3bc4410efa3a6c9204f34eec - 0.0% (613 Bytes)
[#005] sha256:95d2529468069b8e9a46878b41017112cbbeee6f4bb2c495758c9cfdfed0671d - 56.2% (71.1 MB)
[#006] sha256:4fc351297b86682001744de98d53e3be98c3742da3eccdc656fb62564a7e6eac - 0.0% (122 Bytes)
[#007] sha256:3ba724ca68b95804d55b06e4acd49a9851e85942076d802ff9185e9ec4fc70f8 - 0.0% (5.42 KB)
[#008] sha256:e9b82e8b491bfbb7c68d91223fd33d30975787bf1001d557e9bc40ced94c2793 - 0.17% (227 KB)
[#009] sha256:325eb81993f382742ae0db7817f2558efc5f3b98e6826c957402b0a96ac7f4b6 - 0.0% (517 Bytes)
[#010] sha256:e746db818649304988efafd37c7ba9bac15e335fad8d25ec25ad256f83f541e5 - 0.0% (1.11 KB)
[#011] sha256:96ac677ae25dfb22389ba636c5ea0c940bfa22163d4d1a952aff35f9d9a9f85a - 14.33% (18.1 MB)
[#012] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi10-minimal-container" name="ubi10/ubi-minimal" version="10.2" cpe="cpe:/o:redhat:enterprise_linux:10.2" distribution-scope="public"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 10."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 10 Minimal"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel10"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) ENV container oci
2026-07-15 05:52:22 UTC/bin/sh -c #(nop) COPY dir:e80ceae0f38fed255e475d6f3c857d9cc653b611388172a20e2345e2608f2c11 in /
2026-07-15 05:52:22 UTC/bin/sh -c #(nop) COPY file:5de33b5fc08b00635bccf9134a18978dba13e2250aa51838f9969515a3957847 in /etc/yum.repos.d/.
2026-07-15 05:52:22 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-07-15 05:52:23 UTC/bin/sh -c #(nop) COPY dir:fcea21daaad748df5672e8517505782b30d2c53d6febb830378b77388dd947d6 in /usr/share/buildinfo/
2026-07-15 05:52:23 UTC/bin/sh -c #(nop) COPY dir:fcea21daaad748df5672e8517505782b30d2c53d6febb830378b77388dd947d6 in /root/buildinfo/
2026-07-15 05:52:23 UTC/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-07-15T05:48:52Z" "org.opencontainers.image.revision"="22a25e811ff1a9703d8503438dc3c6045cbaaf7e" "build-date"="2026-07-15T05:48:52Z" "architecture"="x86_64" "vcs-ref"="22a25e811ff1a9703d8503438dc3c6045cbaaf7e" "vcs-type"="git" "release"="1784094212"org.opencontainers.image.created=2026-07-15T05:48:52Z,org.opencontainers.image.revision=22a25e811ff1a9703d8503438dc3c6045cbaaf7e
2026-07-15 20:32:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install findutils shadow-utils ca-certificates gawk libcap xz tar && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-07-15 20:32:56 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-07-15T20:26:05Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.3.8 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=429d72149a23d500b2d991726443e61247e53e7d io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-07-15T20:26:05Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.3.8 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-07-15 20:32:56 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-07-15 20:32:56 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-07-15 20:32:56 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-07-15 20:32:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-07-15 20:32:56 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-07-15 20:32:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-07-15 20:33:08 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-07-15 20:33:09 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-07-15 20:33:09 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-07-15 20:33:09 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-07-15 20:33:09 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-07-15 20:33:09 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-07-15 20:33:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-07-15 20:33:13 UTC (buildkit.dockerfile.v0)USER 1000
2026-07-15 20:33:13 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-07-15 20:33:13 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-07-15 20:33:13 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-07-15 20:33:13 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
2026-07-15 20:40:58 UTC
114 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:877a7cfebba1327468a9ce7bb85f9afffbfb1c95701f76d33d81f3833987c4e2 - 27.55% (31.5 MB)
[#001] sha256:071cc0ffec652060c8cab301ad7b04a4fa8c13c328e1a2bb343efebc5eaceaeb - 3.24% (3.7 MB)
[#002] sha256:d5d97700ed7fe81e4e769540231733548d34e1101d6031452373c93f3061e915 - 0.01% (9.06 KB)
[#003] sha256:1dfed931ab6c30e13a4eab1c115e8d77bab77a0bafe80c01d27d486cbcdf59e2 - 0.0% (606 Bytes)
[#004] sha256:4cfae2dace69eabd2298ec640b7ab41306dac12c1199b46938f461a5b50bfd38 - 0.0% (612 Bytes)
[#005] sha256:88709fed90e57e1e9f5ee2c57b77dd4d68387d5ab4c43bfdaf06150a4163cea7 - 53.45% (61.1 MB)
[#006] sha256:2a9b8bccf1c5f75178e523d3fa230809e20b1c8ec05053a68ac00af988616671 - 0.0% (123 Bytes)
[#007] sha256:ee2d46a620c2bc657311cee367b9e2ff7e9d1836b422250c06382fecbbba1a34 - 0.0% (5.42 KB)
[#008] sha256:62bebb0edb98e93fff07b75db6cb438d9aff62744121c19b8a0d329573ab0fc3 - 0.19% (227 KB)
[#009] sha256:9966d660fb8810a239bdfa764dba1eed28319d11cc5375bfdb060ed15433788f - 0.0% (515 Bytes)
[#010] sha256:91c2e28ac86d1ce0b959823fb67e346c531ecd20da370f82a74c5d2776ef8c2f - 0.0% (1.11 KB)
[#011] sha256:110ad370a81fa0538d6f132c6e363e623f004c34b15330c42ef1797c6dc78ea9 - 15.55% (17.8 MB)
[#012] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi10-minimal-container" name="ubi10/ubi-minimal" version="10.2" cpe="cpe:/o:redhat:enterprise_linux:10.2" distribution-scope="public"
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 10."
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 10 Minimal"
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel10"
2026-07-15 05:50:02 UTC/bin/sh -c #(nop) ENV container oci
2026-07-15 05:50:03 UTC/bin/sh -c #(nop) COPY dir:8f070411f1ee56ca3961d04e0e908caad0eb4e03104d45b7f770bb84cd3a08af in /
2026-07-15 05:50:03 UTC/bin/sh -c #(nop) COPY file:5de33b5fc08b00635bccf9134a18978dba13e2250aa51838f9969515a3957847 in /etc/yum.repos.d/.
2026-07-15 05:50:03 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-07-15 05:50:03 UTC/bin/sh -c #(nop) COPY dir:04f8dce71511af7de523b5498ebb5427d3946b49dd8d31c37d9494947f53788a in /usr/share/buildinfo/
2026-07-15 05:50:03 UTC/bin/sh -c #(nop) COPY dir:04f8dce71511af7de523b5498ebb5427d3946b49dd8d31c37d9494947f53788a in /root/buildinfo/
2026-07-15 05:50:03 UTC/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-07-15T05:49:39Z" "org.opencontainers.image.revision"="22a25e811ff1a9703d8503438dc3c6045cbaaf7e" "build-date"="2026-07-15T05:49:39Z" "architecture"="aarch64" "vcs-ref"="22a25e811ff1a9703d8503438dc3c6045cbaaf7e" "vcs-type"="git" "release"="1784094212"org.opencontainers.image.created=2026-07-15T05:49:39Z,org.opencontainers.image.revision=22a25e811ff1a9703d8503438dc3c6045cbaaf7e
2026-07-15 20:40:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install findutils shadow-utils ca-certificates gawk libcap xz tar && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-07-15 20:40:41 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-07-15T20:27:41Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.3.8 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=429d72149a23d500b2d991726443e61247e53e7d io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-07-15T20:27:41Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.3.8 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-07-15 20:40:41 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-07-15 20:40:41 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-07-15 20:40:41 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-07-15 20:40:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-07-15 20:40:41 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-07-15 20:40:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-07-15 20:40:54 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-07-15 20:40:55 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-07-15 20:40:55 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-07-15 20:40:55 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-07-15 20:40:55 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-07-15 20:40:55 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-07-15 20:40:58 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-07-15 20:40:58 UTC (buildkit.dockerfile.v0)USER 1000
2026-07-15 20:40:58 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-07-15 20:40:58 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-07-15 20:40:58 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-07-15 20:40:58 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.